CosmeticVertex TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw CosmeticVertex and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano

Techdraw-point.svg TechDraw CosmeticVertex

Menu location
TechDraw → CosmeticVertex
Workbenches
Atelier TechDraw
Default shortcut
None
Introduced in version
0.19
See also
Point milieu TechDraw, Quadrant TechDraw


Description

L'outil Cosmetic Vertex ajoute un point qui ne fait pas partie de la géométrie d'origine à une vue. Ce point se comporte comme n'importe quel autre point et peut être utilisé pour le dimensionnement.

TechDraw CosmeticVertex Sample.png

Point cosmétique utilisé pour créer une dimension supplémentaire


Utilisation

  1. Appuyez sur le bouton Techdraw-mline.svg CosmeticVertex.
  2. Une boîte de dialogue de tâche s'ouvre. La boîte de dialogue permet de sélectionner l'emplacement du point cosmétique à l'aide d'un "sélecteur de points" ou en saisissant des coordonnées. Les coordonnées sont la position dans la vue par rapport au centre de la vue.
  3. Le bouton Choisir des points lance un "sélecteur de points". Une fois qu'un emplacement est sélectionné, un petit cercle apparaît. Le Cosmetic Vertex sera ajouté une fois le bouton "OK" appuyé.
  4. Pour quitter le "sélecteur de points" sans créer de point cosmétique, appuyez sur le bouton "Escape picking" dans la boîte de dialogue.


Propriétés

Les points cosmétiques n'ont pas de propriétés propres car ils ne sont pas des objets de document. Ils partagent les paramètres de couleur et de taille avec des points de géométrie réguliers.

Script

Voir aussi : TechDraw API et FreeCAD Scripts de base.

Les points cosmétiques ne sont pas accessibles par macros ni par la console Python pour le moment. Cet extrait supprimera tous les points cosmétiques de la vue.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()